varying vec2 	texcoord;
attribute vec3	s2_vertex;
attribute vec4	s2_texcoords; 
varying vec2	VPOS;
uniform vec3 	corner;

void main()
{
	gl_Position = vec4(s2_vertex,1.0);
	texcoord = s2_texcoords.st;	
	VPOS=(s2_vertex.xy*corner.xy)/corner.z;	
}